"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoCache = void 0;
const autobind_decorator_1 = require("autobind-decorator");
class NoCache {
    constructor(throwOnUse = false) {
        this.throwOnUse = throwOnUse;
    }
    async get() {
        if (this.throwOnUse)
            throw new Error('Cache service is disabled but was invoked');
        return null;
    }
    async set() {
        if (this.throwOnUse)
            throw new Error('Cache service is disabled but was invoked');
    }
    async delete() {
        if (this.throwOnUse)
            throw new Error('Cache service is disabled but was invoked');
    }
    async invalidateTags() {
        if (this.throwOnUse)
            throw new Error('Cache service is disabled but was invoked');
    }
    async flushAll() {
        if (this.throwOnUse)
            throw new Error('Cache service is disabled but was invoked');
    }
}
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "get", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "set", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "delete", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "invalidateTags", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "flushAll", null);
exports.NoCache = NoCache;
