export interface Logger<T = IndexedData> {
    log: (log: T | string) => void;
    info: (log: T | string) => void;
    debug: (log: T | string) => void;
    warn: (log: T | string) => void;
    error: (log: T | string) => void;
}
export interface IndexedData {
    app?: string;
    account?: string;
    agent?: string;
    namespace?: string;
    method?: string;
    path?: string;
    resourceId?: string;
    statusCode?: string;
    category?: string;
    action?: string;
    label?: string;
    value?: number;
    stack?: string;
    message?: string;
    data?: string;
    extensionAttributes?: Record<string, unknown>;
}
