/// <reference types="node" />
import { RequestContext } from '../RequestContext';
import { AsyncLocalStorage } from 'async_hooks';
import { IndexedData, Logger } from './Logger';
export declare class StructuredLogger<T extends IndexedData = IndexedData> implements Logger<T> {
    private requestContextRegistry;
    private configs;
    constructor(requestContextRegistry: AsyncLocalStorage<RequestContext>, configs: LogConfigs);
    write(level: LEVEL, log: T | string): void;
    log(log: T | string): void;
    info(log: T | string): void;
    debug(log: T | string): void;
    warn(log: T | string): void;
    error(log: T | string): void;
}
export declare type LEVEL = 'DEBUG' | 'INFO' | 'WARN' | 'ERROR';
export interface LogConfigs {
    prettyPrint?: boolean;
    level?: LEVEL;
}
