/// <reference types="node" />
/// <reference types="koa__router" />
import { Logger } from '../Logger';
import KoaRouter from '@koa/router';
import serverless from 'serverless-http';
import { RequestContext } from '../RequestContext';
import { AsyncLocalStorage } from 'async_hooks';
import { CorsConfig, Route } from './Router';
import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
export declare class LambdaRouter {
    private logger;
    private asyncContext;
    constructor(logger: Logger, asyncContext: AsyncLocalStorage<RequestContext>, routes: Route[], corsConfig?: CorsConfig);
    protected handler: serverless.Handler;
    protected router: KoaRouter;
    route(event: APIGatewayProxyEvent, context: Context): Promise<APIGatewayProxyResult>;
    addRoutes(routes: Route[]): this;
    private convertToMiddleware;
}
