import { Span } from '@opentelemetry/api';
export declare function getTraced<T extends AsyncFunction>(spanNameOrOption: TracingOptions | string, fn: T): T;
export declare function Trace(spanNameOrOption: TracingOptions | string): Decorator;
export declare function withSpan<T extends TracedFunction<U>, U>(spanNameOrOption: TracingOptions | string, fn: T): Promise<U>;
interface TracingOptions {
    name: string;
    attributes?: Record<string, string | boolean | number>;
    attributesOnResolve?: Record<string, string | boolean | number>;
    attributesOnReject?: Record<string, string | boolean | number>;
}
declare type TracedFunction<U> = (span: Span) => Promise<U>;
declare type Decorator = (target: unknown, propertyKey: string, descriptor: PropertyDescriptor) => void;
declare type AsyncFunction = (...args: any[]) => Promise<any>;
export {};
